## snd 24.1

=== s7webserver/Makefile ===
# QTVERSION can also be set to 4
QTVERSION=5

CC ?= gcc
CCC ?= g++
PKG ?= pkg-config
MOC ?= moc #-qt$(QTVERSION)
QMAKE ?= qmake #-qt$(QTVERSION)

QTLDFLAGS=`$(PKG) --libs Qt$(QTVERSION)Network`
QTCFLAGS=`$(PKG) --cflags Qt$(QTVERSION)Network`

OPTIMIZE=-O2

all: s7webserver

clean:
	rm -fr *.o mus-config.h master.tar.gz qhttpserver-master.tar.gz qhttpserver-master s7webserver moc_s7webserver.cpp

s7webserver: s7webserver.o qhttpserver-master/lib/libqhttpserver.a s7.o mus-config.h
	$(CCC) s7webserver.o $(QTLDFLAGS) qhttpserver-master/lib/libqhttpserver.a s7.o -ldl -o s7webserver

s7webserver.o: s7webserver.h s7webserver.cpp moc_s7webserver.cpp qhttpserver-master/lib/libqhttpserver.a mus-config.h
	$(CCC) -c s7webserver.cpp $(QTCFLAGS) $(OPTIMIZE) -Iqhttpserver-master/src -I. -I.. -Wall -Werror -Wno-error=unused-variable -Wno-error=unused-function -fPIC

moc_s7webserver.cpp: s7webserver.h qhttpserver-master/lib/libqhttpserver.a mus-config.h
	$(MOC) -DCOMPILING_S7WEBSERVER s7webserver.h -o moc_s7webserver.cpp

s7.o: ../s7.c ../s7.h mus-config.h
	$(CC) -c ../s7.c $(OPTIMIZE) -I. -I..

mus-config.h:
	touch mus-config.h

qhttpserver-master/lib/libqhttpserver.a:
	rm -fr qhttpserver-master.tar.gz qhttpserver-master
	wget https://github.com/kmatheussen/qhttpserver/archive/master.tar.gz
	mv master.tar.gz qhttpserver-master.tar.gz
	tar xvzf qhttpserver-master.tar.gz
	echo "CONFIG += staticlib" >> qhttpserver-master/src/src.pro
	cd qhttpserver-master && $(QMAKE)
	cd qhttpserver-master && make

=== debian/changelog ===
snd (24.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:03:00 +1100

snd (24.1-1build1) noble; urgency=medium

  * No-change rebuild against libxt6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 00:54:49 +0000

snd (24.1-1) unstable; urgency=medium

  * New upstream version 24.1
    + Update d/upstream-changelog
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 02 Feb 2024 10:30:22 +0100

=== debian/control ===
Source: snd
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Dennis Braun <snd@debian.org>,
Build-Depends:
 bzip2,
 debhelper (>= 13.1),
 debhelper-compat (= 13),
 ladspa-sdk,
 libasound2-dev [linux-any],
 libfftw3-dev,
 libgl-dev,
 libglu-dev,
 libgsl-dev,
 libjack-dev,
 libmotif-dev,
 libmpc-dev,
# libnotcurses-dev, libncurses-dev,
 libpulse-dev,
 libsamplerate0-dev,
 libxmu-dev,
 libxpm-dev,
 libxt-dev,
 xutils-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/snd.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/snd
Homepage: https://ccrma.stanford.edu/software/snd/

Package: snd
Architecture: all
Depends:
 snd-common,
 snd-gui-jack | snd-gui-pulse | snd-nox,
 ${misc:Depends},
Recommends:
 snd-doc,
Description: Sound file editor (metapackage)
 Snd is a powerful sound file editor that can be customized and extended
 using the Scheme programming language.
 .
 This package depends on a full installation of Snd.

Package: snd-common
Architecture: all
Multi-Arch: foreign
Replaces:
 snd (<< 20.8),
Breaks:
 snd (<< 20.8),
Depends:
 ${misc:Depends},
Recommends:
 flac,
 guile,
 ladspa-plugin,
 mpg321,
 speex,
 timidity,
 vorbis-tools,
 wavpack,
Suggests:
 snd-doc,
Description: Sound file editor (core)
 Snd is a powerful sound file editor that can be customized and extended
 using the Scheme programming language.
 .
 This package contains the basic infrastructure for the snd packages and
 the scheme files. You have to install a GUI package as well to actually
 use snd.

Package: snd-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Sound file editor (documentation)
 Snd is a powerful sound file editor that can be customized and extended
 using the Scheme programming language.
 .
 This package contains the documentation for snd.

Package: snd-gui-jack
Architecture: any
Provides:
 snd-gui,
Depends:
 snd-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Sound file editor (graphical user interface - JACK)
 Snd is a powerful sound file editor that can be customized and extended
 using the Scheme programming language.
 .
 This package contains the files for the graphical user interface with
 JACK and ALSA support.

Package: snd-gui-pulse
Architecture: any
Depends:
 snd-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Sound file editor (graphical user interface - PulseAudio)
 Snd is a powerful sound file editor that can be customized and extended
 using the Scheme programming language.
 .
 This package contains the files for the graphical user interface with
 PulseAudio support.

Package: snd-nox
Architecture: any
Depends:
 snd-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Sound file editor (cmdline)
 Snd is a powerful sound file editor that can be customized and extended
 using the Scheme programming language.
 .
 This package contains a version of snd compiled with both JACK and ALSA
 support, but without support for X.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2014-2016 IOhannes m zmölnig <zmoelnig@iem.at>
# Description: Main Debian packaging script for snd
#
# The authors hereby grant permission to use, copy, modify, distribute,
# and license this software and its documentation for any purpose.  No
# written agreement, license, or royalty fee is required.  Modifications
# to this software may be copyrighted by their authors and need not
# follow the licensing terms described here.
#
# IN NO EVENT SHALL THE AUTHORS OR DISTRIBUTORS BE LIABLE TO ANY PARTY
# FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
# ARISING OUT OF THE USE OF THIS SOFTWARE, ITS DOCUMENTATION, OR ANY
# DERIVATIVES THEREOF, EVEN IF THE AUTHORS HAVE BEEN ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# THE AUTHORS AND DISTRIBUTORS SPECIFICALLY DISCLAIM ANY WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT.  THIS SOFTWARE
# IS PROVIDED ON AN "AS IS" BASIS, AND THE AUTHORS AND DISTRIBUTORS HAVE
# NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR
# MODIFICATIONS.

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# needs to be declared before including makefile.mk
FLAVORS = nox gui-jack gui-pulse

export AUTOHEADER=true

builddir=debian/build/flavor-

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/buildtools.mk
PKG_CONFIG ?= pkg-config

CONFIG = \
	--with-ladspa \
	--with-gmp \
	--prefix=/usr \
	PATH_OGGENC=oggenc PATH_OGGDEC=oggdec \
	PATH_MPG321=mpg321 \
	PATH_SPEEXENC=speexenc PATH_SPEEXDEC=speexdec  \
	PATH_FLAC=flac \
	PATH_TIMIDITY=timidity \
	PATH_WAVPACK=wavpack PATH_WVUNPACK=wvunpack \
	$(empty)

## per flavor configure options
configureflags_audio_jack  = --with-jack
# use ALSA on linux, and OSS non non-linux
ifneq (,$(findstring linux,$(DEB_HOST_ARCH_OS)))
configureflags_audio_default  = --with-alsa
else
configureflags_audio_default  = --with-oss
endif
configureflags_gui = --with-motif --with-gl --with-gl2ps

# nox (alsa/oss + jack)
CONFIG_nox       = --without-gui --with-notcurses \
	$(configureflags_audio_default) $(configureflags_audio_jack)

# gui-jack (jack + alsa[sic!]/oss)
CONFIG_gui-jack  = $(configureflags_gui) \
	$(configureflags_audio_default) $(configureflags_audio_jack)

## gui-pulse (pulseaudio)
CONFIG_gui-pulse = $(configureflags_gui) \
       	--with-pulseaudio

## do not embed __DATE__ (see debian/patches/reproducible.diff)
CPPFLAGS+=-DREPRODUCIBLE_BUILD=1

## on Debian notcurses2 is at time of writing (2020/11/23) at version 2.0.7
## so we need to enable to new API
CPPFLAGS+=-DNOTCURSES_2_0_5=1


# Use the default debhelper scripts, where possible.
%:
	dh $@

# Add configuration options:
override_dh_auto_configure: $(patsubst %,configure_%,$(FLAVORS))
configure_%:
	$(info $()   debian/rules $@)
	mkdir -p $(builddir)$*
	dh_auto_configure --builddirectory=$(builddir)$* -- $(strip $(CONFIG) $(CONFIG_$*)) || (cat $(builddir)$*/config.log && exit 1)

# Remove the subdirectories generated for the flavors.
override_dh_auto_clean:
	rm -rf $(patsubst %,$(builddir)%,$(FLAVORS))
	rmdir -p $(dir $(builddir)) || echo "couldn't cleanup build-dirs...ignoring"
	rm -f $(SND_MANPAGES)

# Create doxygen documentation:
override_dh_auto_build-indep:
	:
override_dh_auto_build-arch: $(patsubst %,build_%,$(FLAVORS))

build_%:
	$(info $()  debian/rules $@)
	dh_auto_build -a --builddirectory=$(builddir)$* || (cat $(builddir)$*/config.log && exit 1)
	mv $(builddir)$*/snd $(builddir)$*/snd.$*


override_dh_installchangelogs:
	dh_installchangelogs debian/upstream-changelog

# build manpages
build_nox: snd.nox.1
build_gui-jack: snd.gui-jack.1
build_gui-pulse: snd.gui-pulse.1

SND_MANPAGES=snd.nox.1 snd.gui-jack.1 snd.gui-pulse.1
$(SND_MANPAGES): snd.1
	cp $^ $@

## missing sources for s7webserver/jqconsole.min.js
##  it seems like the minification was done with a different version of
##  'uglifyjs', as it doesn't produce the same output (whereas the current
##  version of jqconsole builds reproducible)
JQCONSOLE_COMMIT=96eb6c42434d2cd30c83cc9af4e3d574cd6c39c6
s7webserver/jqconsole.min.js: debian/missing-sources/jqconsole.coffee
	coffee -c -p $< | uglifyjs -m -o $@
debian/missing-sources/jqconsole.coffee:
	wget -O $@ https://raw.githubusercontent.com/replit/jq-console/$(JQCONSOLE_COMMIT)/src/jqconsole.coffee

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	debian/.*|pix/.*\.png

# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

## snd 24.3

=== debian/changelog ===
snd (24.3-1) unstable; urgency=medium

  * New upstream version 24.3
    + Update d/upstream-changelog
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 15 Apr 2024 09:00:56 +0200

snd (24.2-1) unstable; urgency=medium

  * New upstream version 24.2
    + Update d/upstream-changelog
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 18 Mar 2024 16:40:19 +0100

## snd 24.4

=== debian/changelog ===
snd (24.4-1) unstable; urgency=medium

  * New upstream version 24.4
    + Update d/upstream-changelog
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 17 May 2024 09:20:22 +0200

## snd 24.5

=== debian/changelog ===
snd (24.5-1build1) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:56:25 +0200

snd (24.5-1) unstable; urgency=medium

  * New upstream version 24.5
    + Update d/upstream-changelog
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 02 Jul 2024 15:07:44 +0200

## snd 24.6

=== debian/changelog ===
snd (24.6-1) unstable; urgency=medium

  * New upstream version 24.6
    + Update d/upstream-changelog
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Aug 2024 00:01:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: snd
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
  Dennis Braun <snd@debian.org>,
@@ -26,7 +25,7 @@
  libxpm-dev,
  libxt-dev,
  xutils-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/snd.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/snd

## snd 24.7

=== debian/changelog ===
snd (24.7-1) unstable; urgency=medium

  * New upstream version 24.7
    + Update d/upstream-changelog
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 09 Sep 2024 23:40:20 +0200

## snd 24.8

=== debian/changelog ===
snd (24.8-1) unstable; urgency=medium

  * New upstream version 24.8
    + Update d/upstream-changelog
  * Update AppStream metainfo
  * Re-generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 10 Oct 2024 23:13:48 +0200

## snd 24.9

=== debian/changelog ===
snd (24.9-1) unstable; urgency=medium

  * New upstream version 24.9
    + Update d/upstream-changelog
  * Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 15 Nov 2024 23:13:51 +0100

## snd 25.0

=== debian/changelog ===
snd (25.0-1) unstable; urgency=medium

  * New upstream version 25.0
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 06 Jan 2025 18:47:19 +0100

## snd 25.1

=== debian/changelog ===
snd (25.1-1) unstable; urgency=medium

  * New upstream version 25.1
    + Update d/upstream-changelog
  * Disable multiprecision arithmetic (upstream says its irrelevant)
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 10 Feb 2025 17:27:09 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
  Dennis Braun <snd@debian.org>,
 Build-Depends:
- bzip2,
  debhelper (>= 13.1),
  debhelper-compat (= 13),
+ bzip2,
  ladspa-sdk,
  libasound2-dev [linux-any],
  libfftw3-dev,

## snd 25.2

=== debian/changelog ===
snd (25.2-1) unstable; urgency=medium

  * New upstream version 25.2
    + Update d/upstream-changelog
  * Update copyright information
    + Bump copyright dates
    + Re-generate d/copyright_hints
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 14 Mar 2025 20:50:46 +0100

## snd 25.3

=== debian/changelog ===
snd (25.3-1) unstable; urgency=medium

  * New upstream version 25.3
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 22 Apr 2025 11:29:28 +0200

## snd 25.6

=== debian/changelog ===
snd (25.6-1) unstable; urgency=medium

  * New upstream version 25.6
    + Update d/upstream-changelog
  * Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 21 Aug 2025 23:02:40 +0200

## snd 25.7

=== debian/changelog ===
snd (25.7-1) unstable; urgency=medium

  * New upstream version 25.7
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 07 Sep 2025 23:13:59 +0200

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,6 @@
 
 CONFIG = \
 	--with-ladspa \
-	--with-gmp \
 	--prefix=/usr \
 	PATH_OGGENC=oggenc PATH_OGGDEC=oggdec \
 	PATH_MPG321=mpg321 \

## snd 25.8

=== s7webserver/Makefile ===
--- 
+++ 
@@ -1,8 +1,7 @@
-# QTVERSION can also be set to 4
 QTVERSION=5
 
 CC ?= gcc
-CCC ?= g++
+CCC ?= g++ -std=gnu++11
 PKG ?= pkg-config
 MOC ?= moc #-qt$(QTVERSION)
 QMAKE ?= qmake #-qt$(QTVERSION)
@@ -12,16 +11,21 @@
 
 OPTIMIZE=-O2
 
-all: s7webserver
+all: check_correct_qt_version s7webserver
 
 clean:
 	rm -fr *.o mus-config.h master.tar.gz qhttpserver-master.tar.gz qhttpserver-master s7webserver moc_s7webserver.cpp
+
+check_correct_qt_version:
+	@echo "If compilation stops now, it means that we're using Qt 6 instead of Qt 5. We need Qt 5. You can set the MOC and QMAKE variables in the makefile to fix this."
+	@$(QMAKE) -v |grep Qt\ version\ 5
+
 
 s7webserver: s7webserver.o qhttpserver-master/lib/libqhttpserver.a s7.o mus-config.h
 	$(CCC) s7webserver.o $(QTLDFLAGS) qhttpserver-master/lib/libqhttpserver.a s7.o -ldl -o s7webserver
 
 s7webserver.o: s7webserver.h s7webserver.cpp moc_s7webserver.cpp qhttpserver-master/lib/libqhttpserver.a mus-config.h
-	$(CCC) -c s7webserver.cpp $(QTCFLAGS) $(OPTIMIZE) -Iqhttpserver-master/src -I. -I.. -Wall -Werror -Wno-error=unused-variable -Wno-error=unused-function -fPIC
+	$(CCC) -c s7webserver.cpp $(QTCFLAGS) $(OPTIMIZE) -Iqhttpserver-master/src -DWITH_MAIN -I. -I.. -Wall -Werror -Wno-error=unused-variable -Wno-error=unused-function -fPIC
 
 moc_s7webserver.cpp: s7webserver.h qhttpserver-master/lib/libqhttpserver.a mus-config.h
 	$(MOC) -DCOMPILING_S7WEBSERVER s7webserver.h -o moc_s7webserver.cpp

=== debian/changelog ===
snd (25.8-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 25.8
    + Update d/upstream-changelog
  * Re-generate d/copyright_hints
  * Update git repository layout to follow DEP-14

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 15 Oct 2025 20:38:16 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  libxpm-dev,
  libxt-dev,
  xutils-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/snd.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/snd

=== debian/tests/control ===
Tests:
 makesound,
Depends:
 python3-numpy,
 python3-soundfile,
 snd-nox,
Restrictions:
 allow-stderr,

Tests:
 build-libcs7,
Depends:
 gcc,
 libc6-dev | libc-dev,
 snd-nox,
Restrictions:
 superficial,

=== debian/watch ===
# process this file with uscan(1)

# according to upstream the versioning scheme is like follows:
# > The first number is the year, the second goes from
# > 0 to 9 through the year, but I'm ahead one at the end of
# > the year (I used to have 21.10 and the like).  Not completely
# > consistent, perhaps.  The daily tarballs are just the year,
# > snd-20.tar.gz etc.

# the regex for the version is thus the @ANY_VERSION@ regex with a mandatory
# leading number followed by a period.

version=4
opts=dversionmangle=auto \
  https://ccrma.stanford.edu/software/snd/snd-(?:[-_]?(\d+\.\d[\-+\.:\~\da-zA-Z]*))(?i)@ARCHIVE_EXT@

## snd 25.9

=== debian/changelog ===
snd (25.9-1) unstable; urgency=medium

  * New upstream version 25.9
    + Update d/upstream-changelog
  * Drop obsolete Rules-Requires-Root stanza.
  * Update d/copyright

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 18 Nov 2025 23:27:31 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,6 @@
  libxt-dev,
  xutils-dev,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/snd.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/snd
 Homepage: https://ccrma.stanford.edu/software/snd/

## snd 26.0

=== debian/changelog ===
snd (26.0-1) unstable; urgency=medium

  * New upstream version 26.0
    + Update d/upstream-changelog
  * Drop obsolete 'Priority: optional' stanza.
  * Update d/watch to version 5
  * Bump standards version to 4.7.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 12 Jan 2026 10:27:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: snd
 Section: sound
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
@@ -25,7 +24,7 @@
  libxpm-dev,
  libxt-dev,
  xutils-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/multimedia-team/snd.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/snd
 Homepage: https://ccrma.stanford.edu/software/snd/

## snd 26.1

=== debian/changelog ===
snd (26.1-1) unstable; urgency=medium

  * New upstream version 26.1
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 06 Feb 2026 12:53:58 +0100

=== debian/watch ===
Version: 5

# process this file with uscan(1)
# according to upstream the versioning scheme is like follows:
# > The first number is the year, the second goes from
# > 0 to 9 through the year, but I'm ahead one at the end of
# > the year (I used to have 21.10 and the like).  Not completely
# > consistent, perhaps.  The daily tarballs are just the year,
# > snd-20.tar.gz etc.
# the regex for the version is thus the @ANY_VERSION@ regex with a mandatory
# leading number followed by a period.
Source: https://ccrma.stanford.edu/software/snd/
Matching-Pattern: snd-(?:[-_]?(\d+\.\d[\-+\.:\~\da-zA-Z]*))(?i)@ARCHIVE_EXT@
Dversionmangle: auto
